@ -48,10 +48,10 @@ PLATFORM_X11=no
PLATFORM_MAC=no
PLATFORM_QNX=no
if [ -f $relpath/src/kernel/qapplication_mac.cpp ] && [ -d /System/Library/Frameworks/Carbon.framework ]; then
if [ -f $relpath/src/kernel/t qapplication_mac.cpp ] && [ -d /System/Library/Frameworks/Carbon.framework ]; then
# Qt/Mac
# ~ the Carbon SDK exists
# ~ src/kernel/qapplication_mac.cpp is present
# ~ src/kernel/t qapplication_mac.cpp is present
# ~ this is the internal edition and Qt/Mac sources exist
PLATFORM_MAC=maybe
fi
@ -337,7 +337,7 @@ while [ "$#" -gt 0 ]; do
sysshare)
QT_INSTALL_SHARE="$VAL"
;;
qconfig)
t qconfig)
CFG_QCONFIG="$VAL"
;;
bindir)
@ -853,7 +853,7 @@ while [ "$#" -gt 0 ]; do
done
#-------------------------------------------------------------------------------
# post initialize QT_INSTALL_* variables, and generate qconfig.cpp
# post initialize QT_INSTALL_* variables, and generate t qconfig.cpp
#-------------------------------------------------------------------------------
# default $outpath
@ -877,9 +877,9 @@ done
# default PREFIX/share
[ -z "$QT_INSTALL_SHARE" ] && QT_INSTALL_SHARE=$QT_INSTALL_PREFIX/share
# generate qconfig.cpp
# generate t qconfig.cpp
[ -d $outpath/src/tools ] || mkdir -p $outpath/src/tools
cat > $outpath/src/tools/qconfig.cpp.new <<EOF
cat > $outpath/src/tools/t qconfig.cpp.new <<EOF
/* Install paths from configure */
#include "tqglobal.h"
@ -907,13 +907,13 @@ const char *tqInstallPathSysconf() { return QT_INSTALL_SYSCONF + 11; }
const char *tqInstallPathShare() { return QT_INSTALL_SHARE + 11; }
EOF
# avoid unecessary rebuilds by copying only if qconfig.cpp has changed
if cmp -s $outpath/src/tools/qconfig.cpp $outpath/src/tools/qconfig.cpp.new; then
rm -f $outpath/src/tools/qconfig.cpp.new
# avoid unecessary rebuilds by copying only if t qconfig.cpp has changed
if cmp -s $outpath/src/tools/t qconfig.cpp $outpath/src/tools/t qconfig.cpp.new; then
rm -f $outpath/src/tools/t qconfig.cpp.new
else
[ -f $outpath/src/tools/qconfig.cpp ] && chmod +w $outpath/src/tools/qconfig.cpp
mv $outpath/src/tools/qconfig.cpp.new $outpath/src/tools/qconfig.cpp
chmod -w $outpath/src/tools/qconfig.cpp
[ -f $outpath/src/tools/t qconfig.cpp ] && chmod +w $outpath/src/tools/t qconfig.cpp
mv $outpath/src/tools/t qconfig.cpp.new $outpath/src/tools/t qconfig.cpp
chmod -w $outpath/src/tools/t qconfig.cpp
fi
@ -928,18 +928,18 @@ WHICH=$unixtests/which.test
### skip this if the user just needs help...
if [ "$OPT_HELP" != "yes" ]; then
# create the include and include/qmake directory (for n tqconfig.h and n tqmodules.h)
# create the include and include/qmake directory (for tqconfig.h and tqmodules.h)
[ -d $outpath/include/qmake ] || mkdir -p $outpath/include/qmake
# create temporary n tqconfig.h for compiling qmake
# create temporary tqconfig.h for compiling qmake
# when building qmake, we use #defines for the install paths,
# however they are real functions in the library
cat >>$outpath/include/qmake/n tqconfig.h <<EOF
cat >>$outpath/include/qmake/tqconfig.h <<EOF
/* All features enabled while building qmake */
EOF
# create temporary n tqmodules.h for compiling qmake
cat >>$outpath/include/qmake/n tqmodules.h <<EOF
# create temporary tqmodules.h for compiling qmake
cat >>$outpath/include/qmake/tqmodules.h <<EOF
/* All modules enabled while building qmake */
EOF
@ -2164,9 +2164,9 @@ if true; then ###[ '!' -f "$outpath/bin/tqmake" ];
(cd $outpath/qmake; $MAKE || (echo "qmake failed to build. Aborting." && exit 2)) || exit 2
fi
# clean up temporary n tqconfig.h and n tqmodules.h
rm -f $outpath/include/qmake/n tqconfig.h
rm -f $outpath/include/qmake/n tqmodules.h
# clean up temporary tqconfig.h and tqmodules.h
rm -f $outpath/include/qmake/tqconfig.h
rm -f $outpath/include/qmake/tqmodules.h
rmdir $outpath/include/qmake
@ -2276,7 +2276,7 @@ minimal|small|medium|large|full)
;;
*)
# not known to be sufficient for anything
if [ '!' -f $relpath/src/tools/qconfig-$CFG_QCONFIG.h ]; then
if [ '!' -f $relpath/src/tools/t qconfig-$CFG_QCONFIG.h ]; then
echo >&2 "No such configuration: $CFG_QCONFIG"
OPT_HELP=yes
fi
@ -2525,27 +2525,27 @@ if [ "$CFG_EXCEPTION_SUPPORT" = "no" ]; then
fi
#-------------------------------------------------------------------------------
# part of configuration information goes into n tqmodules.h
# part of configuration information goes into tqmodules.h
#-------------------------------------------------------------------------------
rm -f $outpath/include/n tqmodules.h.new
cat >$outpath/include/n tqmodules.h.new << EOF
rm -f $outpath/include/tqmodules.h.new
cat >$outpath/include/tqmodules.h.new << EOF
/* These modules are present in this configuration of TQt */
EOF
for MODULE in $MODULES; do
if [ -d "$relpath/src/$MODULE" ]; then
M=`echo $MODULE | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
echo "#define TQT_MODULE_$M" >>$outpath/include/n tqmodules.h.new
echo "#define TQT_MODULE_$M" >>$outpath/include/tqmodules.h.new
fi
done
# avoid unecessary rebuilds by copying only if n tqmodules.h has changed
if cmp -s $outpath/include/n tqmodules.h $outpath/include/n tqmodules.h.new; then
rm -f $outpath/include/n tqmodules.h.new
# avoid unecessary rebuilds by copying only if tqmodules.h has changed
if cmp -s $outpath/include/tqmodules.h $outpath/include/tqmodules.h.new; then
rm -f $outpath/include/tqmodules.h.new
else
[ -f $outpath/include/n tqmodules.h ] && chmod +w $outpath/include/n tqmodules.h
mv -f $outpath/include/n tqmodules.h.new $outpath/include/n tqmodules.h
chmod -w $outpath/include/n tqmodules.h
[ -f $outpath/include/tqmodules.h ] && chmod +w $outpath/include/tqmodules.h
mv -f $outpath/include/tqmodules.h.new $outpath/include/tqmodules.h
chmod -w $outpath/include/tqmodules.h
fi
#-------------------------------------------------------------------------------
@ -2710,20 +2710,20 @@ TQT_BUILD_KEY="$CFG_USER_BUILD_KEY $UNAME_MACHINE $UNAME_SYSTEM $COMPILER $BUILD
TQT_BUILD_KEY=`echo $TQT_BUILD_KEY | sed -e "s, *, ,g" -e "s,^ *,," -e "s, *$,,"`
#-------------------------------------------------------------------------------
# part of configuration information goes into n tqconfig.h
# part of configuration information goes into tqconfig.h
#-------------------------------------------------------------------------------
case "$CFG_QCONFIG" in
full)
echo "/* Everything */" >$outpath/include/n tqconfig.h.new
echo "/* Everything */" >$outpath/include/tqconfig.h.new
;;
*)
QCONFIGFILE=qconfig-$CFG_QCONFIG.h
echo "/* Copied from $QCONFIGFILE */" >$outpath/include/n tqconfig.h.new
cat $relpath/src/tools/$QCONFIGFILE >>$outpath/include/n tqconfig.h.new
QCONFIGFILE=t qconfig-$CFG_QCONFIG.h
echo "/* Copied from $QCONFIGFILE */" >$outpath/include/tqconfig.h.new
cat $relpath/src/tools/$QCONFIGFILE >>$outpath/include/tqconfig.h.new
;;
esac
cat >> $outpath/include/n tqconfig.h.new <<EOF
cat >> $outpath/include/tqconfig.h.new <<EOF
/* License information */
#define TQT_PRODUCT_LICENSEE "$Licensee"
@ -2737,7 +2737,7 @@ cat >> $outpath/include/ntqconfig.h.new <<EOF
#define TQ_LITTLE_ENDIAN 1234
EOF
if [ "$CFG_ENDIAN" = "auto" ]; then
cat >> $outpath/include/n tqconfig.h.new << EOF
cat >> $outpath/include/tqconfig.h.new << EOF
#if defined(__BIG_ENDIAN__)
# define TQ_BYTE_ORDER TQ_BIG_ENDIAN
#elif defined(__LITTLE_ENDIAN__)
@ -2747,23 +2747,23 @@ cat >> $outpath/include/ntqconfig.h.new << EOF
#endif
EOF
else
echo "#define TQ_BYTE_ORDER $CFG_ENDIAN" >> $outpath/include/n tqconfig.h.new
echo "#define TQ_BYTE_ORDER $CFG_ENDIAN" >> $outpath/include/tqconfig.h.new
fi
cat >> $outpath/include/n tqconfig.h.new << EOF
cat >> $outpath/include/tqconfig.h.new << EOF
/* Compile time features */
EOF
[ '!' -z "$LicenseKey" ] && echo "#define QT_PRODUCT_LICENSEKEY \"$LicenseKey\"" >>$outpath/include/n tqconfig.h.new
[ '!' -z "$LicenseKey" ] && echo "#define QT_PRODUCT_LICENSEKEY \"$LicenseKey\"" >>$outpath/include/tqconfig.h.new
if [ "$CFG_LARGEFILE" = "yes" ]; then
echo "#define QT_LARGEFILE_SUPPORT 64" >>$outpath/include/n tqconfig.h.new
echo "#define QT_LARGEFILE_SUPPORT 64" >>$outpath/include/tqconfig.h.new
fi
$unixtests/ptrsize.test $XQMAKESPEC $OPT_VERBOSE $relpath $outpath
echo "#define TQT_POINTER_SIZE $?" >>$outpath/include/n tqconfig.h.new
echo "#define TQT_POINTER_SIZE $?" >>$outpath/include/tqconfig.h.new
if [ ! -z "$QT_MAC_VERSION" ]; then
echo "#define QT_MACOSX_VERSION ${QT_MAC_VERSION} /*from config.tests*/" >>$outpath/include/n tqconfig.h.new
echo "#define QT_MACOSX_VERSION ${QT_MAC_VERSION} /*from config.tests*/" >>$outpath/include/tqconfig.h.new
fi
## find excluded styles and add this to $QCONFIG_FLAGS
@ -2798,7 +2798,7 @@ done
if [ -n "$QCONFIG_FLAGS" ]; then
for cfg in $QCONFIG_FLAGS; do
cat >>$outpath/include/n tqconfig.h.new << EOF
cat >>$outpath/include/tqconfig.h.new << EOF
#ifndef $cfg
# define $cfg
#endif
@ -2807,13 +2807,13 @@ EOF
done
fi
# avoid unecessary rebuilds by copying only if n tqconfig.h has changed
if cmp -s $outpath/include/n tqconfig.h $outpath/include/n tqconfig.h.new; then
rm -f $outpath/include/n tqconfig.h.new
# avoid unecessary rebuilds by copying only if tqconfig.h has changed
if cmp -s $outpath/include/tqconfig.h $outpath/include/tqconfig.h.new; then
rm -f $outpath/include/tqconfig.h.new
else
[ -f $outpath/include/n tqconfig.h ] && chmod +w $outpath/include/n tqconfig.h
mv $outpath/include/n tqconfig.h.new $outpath/include/n tqconfig.h
chmod -w $outpath/include/n tqconfig.h
[ -f $outpath/include/tqconfig.h ] && chmod +w $outpath/include/tqconfig.h
mv $outpath/include/tqconfig.h.new $outpath/include/tqconfig.h
chmod -w $outpath/include/tqconfig.h
fi